Subject: RE: How to handle subscribers with auto responders

From: [email-masked]
Date: Mon, 28 Jun 2004 16:25:16 -0700

Not sure if this e-mail would help... After all it would fall into the
end users administrative black hole, and we would still get complaints
from people claiming censorship because they can't get e-mail.

I would rather see something saying -
"It is your responsibility to manage your mailing systems in such a way
that e-mail from the list makes it where you want it to be delivered. 
The IETF can not guarantee message delivery in the face of firewalls,
spam bots, black hole lists, etc."

That way - we have set expectations correctly

Bill
> -------- Original Message --------
> Subject: How to handle subscribers with autoresponders
> From: "Adam Roach" <[email-masked]>
> Date: Mon, June 28, 2004 3:18 pm
> To: [email-masked]
>
> I'm seeing an increasing trend on IETF mailing lists regarding the use
> of antisocial auto-responders.
>
> For most mailing lists, every message I send to the list is greeted with
> a response directly to me indicating that one or more of the various
> subscribers are out of the office and won't see my mail until, say,
> sometime next week.
>
> In some less common cases, I'm seeing such responses spammed directly to
> the list (cf.
> http://www1.ietf.org/mail-archive/web/xcon/current/msg00636.html). Since
> the sender is necessarily also a subscriber, mailman lets these messages
> through.
>
> And, of course, yet others send such responses to the
> "[email-masked]" address, which generates a message back to the
> list owner indicating that mailman couldn't parse the out-of-office
> response as a known bounce format.
>
> Recently, though, I've been seeing automatic responses to messages sent
> to a mailing list that require that sender to take an action -- such as
> clicking on a web page link -- to release the sent message from a
> quarantine at the recipient's end. I'm not going into the merits and
> demerits of such a system here, but it should be obvious that this
> approach doesn't scale, and the endgame is completely unusable mailing
> lists.
>
> As far as I know, there is no formal policy about how such trouble
> subscribers should be handled. I propose adding language to
> http://www.ietf.org/maillist.html or a page linked from there to address
> this specific case.
>
> In particular, I propose the following policy:
>
>     Mailing list subscribers who enable an auto-responder in such a way
>     that it causes messages to be sent in response to postings to an
>     IETF mailing list, regardless of the recipient(s) of the
>     auto-response, will be removed as subscribers from the mailing list
>     and be sent a brief note informing them that such action has
>     occurred and why.
>
> Thoughts?
>
> /a